API Reference
Get Execution Status
Get the status and results of a workflow execution. Returns execution status and step data keyed by unique_name. Users can poll this endpoint until status is COMPLETED or FAILED.
Authorizations
X-API-KeystringheaderrequiredYour API key for authentication
Path Parameters
execution_idintegerpathrequiredExecution ID
Cookies
wos-sessionstringcookieSession cookie
access_tokenstringcookieAccess token cookie
datalab_active_teamstringcookieActive team cookie
Response
Successful Response
Get Execution Status
import requests
url = "https://www.datalab.to/api/v1/workflows/executions/{execution_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)200Success
{
"execution_id": 123,
"workflow_id": 456,
"status": "COMPLETED",
"created": "2025-10-22T10:00:00",
"updated": "2025-10-22T10:05:00",
"steps": {
"parse": {
"status": "COMPLETED",
"output_url": "https://presigned-url"
}
}
}